Stable LFS with other gcc/linux

Kevin P. Fleming kpfleming at linuxfromscratch.org
Thu Jul 1 14:27:26 PDT 2004


axel wrote:

> The way I think about is : 
> follow chapter 5 of cvs book

So your /tools directory will be newer binutils/gcc/glibc and then...

> switching back to chapter 6 of stable book, but using gcc-3.3.4,
> glibc-2.3.3 et linux-2.6.7

You want to downgrade them? This won't work, at least for gcc you will 
have problems because of the newer/older versions of binutils.

If this is what you want to do, I'd try following the 5.1.1 book, except 
for the header file stuff. Just use the unstable book's instructions for 
providing kernel headers to glibc, and linux-libc-headers for userspace 
headers, and that's all. Don't upgrade any other packages.

However, since this is not a stable book build, it doesn't belong on 
this list. In fact, since it's not an unstable build either, if you want 
to chat about it you'll need to go to lfs-chat, and don't expect much 
support from the LFS developers :-)



More information about the lfs-support mailing list